parameters:
    comur_image_type_class: "Comur\ImageBundle\Form\Type\CroppableImageType"
    comur_gallery_type_class: "Comur\ImageBundle\Form\Type\CroppableGalleryType"
services:
    comur_image_bundle.image_type:
        class: %comur_image_type_class%
        tags:
            - { name: form.type, alias: comur_image }
        # arguments: [%comur_image.translation_domain%]
    comur_image_bundle.gallery_type:
        class: %comur_gallery_type_class%
        tags:
            - { name: form.type, alias: comur_gallery }
        arguments: [%comur_image.gallery_dir%, %comur_image.thumbs_dir%, %comur_image.gallery_thumb_size%]
    comur.twig.thumb_extension:
        class: Comur\ImageBundle\Twig\ThumbExtension
        tags:
            - { name: twig.extension }
        arguments: [%comur_image.cropped_image_dir%, %comur_image.thumbs_dir%, "@service_container", %comur_image.web_dirname%, %comur_image.translation_domain%, %comur_image.gallery_dir%]